FBI help please

Discussion in '3DS - Homebrew Development and Emulators' started by Hasslehogg, Mar 20, 2017.

  1. Hasslehogg
    OP

    Hasslehogg Member

    Newcomer
    35
    7
    May 10, 2006
    Hi guys

    following the guide on my 4.2.0 3ds xl

    I am at the stage where i have just restored my 4.2 nand and had to download the firmware.bin and cetk file to boot the 3ds after restore as it was before 4.5.0.

    the guide says before doing the fbi dump/inject to update firmware to latest version, now i know this is 11.3 and isnt hackable. if i upgrade will i still be able to install the fbi.cia?

    i have tried to move forward without updating and i can dump the health and safety but when i try to inject the fbi file it doesnt appear as an option when moving the control pad. i have done a new 3ds xl before but that was on later firmware.

    i am just worried if i update to 11.3 i wont be able to inject fbi, or will it be ok as i am running Luma at this stage? (luma hasnt been updated as i dont have the updater yet its the one from the website from 2016)

    thanks in advance
     
  2. proflayton123

    proflayton123 Undeclared Shitposter 2.1

    Member
    5,906
    2,235
    Jan 11, 2016
    Japan
    日本
    As i said in the other thread, if you have A9LH installed, download the latest luma, extract the arm9loaderhax.bin folder to the zip, then update and do the injection process.
     
  3. Hasslehogg
    OP

    Hasslehogg Member

    Newcomer
    35
    7
    May 10, 2006
    hi, i cant find the arm9loader file though. i download the zip from github but it looks like you have to compile it
     
  4. proflayton123

    proflayton123 Undeclared Shitposter 2.1

    Member
    5,906
    2,235
    Jan 11, 2016
    Japan
    日本
  5. Hasslehogg
    OP

    Hasslehogg Member

    Newcomer
    35
    7
    May 10, 2006
    latest file i can get is from 12/11/2016 and 11.3 fw wasnt out then :(
     
  6. proflayton123

    proflayton123 Undeclared Shitposter 2.1

    Member
    5,906
    2,235
    Jan 11, 2016
    Japan
    日本
    That is the latest stable build of luma3ds..
     
  7. Hasslehogg
    OP

    Hasslehogg Member

    Newcomer
    35
    7
    May 10, 2006
    yes but i thought i needed the nightly? Or are you saying i can update to 11.3 on this latest stable version and still inject the fbi file please?
     
  8. proflayton123

    proflayton123 Undeclared Shitposter 2.1

    Member
    5,906
    2,235
    Jan 11, 2016
    Japan
    日本
    You don't need the nightly, its best using the stable build.
     
  9. Hasslehogg
    OP

    Hasslehogg Member

    Newcomer
    35
    7
    May 10, 2006
    ok thanks for the help, much appreciated

    will give it a go